---
lang: en
title: 'API docs: logging.loggingcomponentconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.loggingcomponentconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [LoggingComponentConfig](./logging.loggingcomponentconfig.md)

## LoggingComponentConfig type

Configuration for LoggingComponent

**Signature:**

```typescript
export type LoggingComponentConfig = {
    enableFluent?: boolean;
    enableHttpAccessLog?: boolean;
};
```

